#include "tir.h"
#include <Imagine/Graphics.h>
using namespace Imagine;

// Affichage du tir
void affiche(Tir t) {
    drawLine(t.x*zoom+zoom/2, t.y*zoom,
             t.x*zoom+zoom/2, (t.y+1)*zoom-1, BLACK);
}

// Effacage du tir
void efface(Tir t) {
    drawLine(t.x*zoom+zoom/2, t.y*zoom,
             t.x*zoom+zoom/2, (t.y+1)*zoom-1, WHITE);
}

// Deplacement du tir
void deplace(Tir& t) {
    t.y += t.dy;
}

// Le tir est-il actif?
bool actif(Tir t) {
    return !(t.dy==0 || t.y<0 || t.y>=hauteur);
}
