#pragma once
#include "vaisseau.h"
#include <cassert>

const int MAX_VAISSEAUX=100; // Nombre de vaisseaux max de l'armada
const int NB_TIRS=2; // Nombre de tirs simultanes max de l'armada

// Armada = ensemble de vaisseaux et ses tirs
struct Armada {
    Vaisseau v[MAX_VAISSEAUX];
    Tir tirs[NB_TIRS];
    int n; // Nombre effectif de vaisseaux
    bool droite; // direction de deplacement: gauche/droite
};

void ajoute(Armada& a, Vaisseau v);
void affiche(Armada a);
void efface(Armada a);
bool deplace(Armada& a);
bool explosion(Armada& a, Tir& t);
