#include "vaisseau.h"

// Affichage du vaisseau
void affiche(Vaisseau v) {
    if(v.vivant)
        fillRect(v.x*zoom, v.y*zoom, zoom, zoom/2, v.col);
}

// Effacage du vaisseau
void efface(Vaisseau v) {
    fillRect(v.x*zoom, v.y*zoom, zoom, zoom, WHITE);
}

// Deplacement du vaisseau
void deplace(Vaisseau& v, int dx, int dy) {
    v.x += dx;
    v.y += dy;
}

// Explosion du vaisseau
bool explosion(Vaisseau& v, Tir& t) {
    if(v.vivant && v.x==t.x && v.y==t.y) {
        v.vivant=false;
        t.y=hauteur; t.dy=0;
        return true;
    }
    return false;
}
