#pragma once
#include <Imagine/Graphics.h>
using namespace Imagine;
#include "tir.h"

// Un vaisseau (ami ou ennemi)
struct Vaisseau {
    int x, y; // Position
    Color col; // Couleur
    bool vivant; // Sante
};

void affiche(Vaisseau v);
void efface(Vaisseau v);
void deplace(Vaisseau& v, int dx, int dy);
bool explosion(Vaisseau& v, Tir& t);
